<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="style3.css">

    <style>

        /* * {
            margin : 0;
            padding : 0;
        }

        .container {
            width : 1000px;
            border : 1px solid red;
            margin : 100px auto;
        }

        header {
            height : 250px;
            background-color: #488FB1;
            width : 100%;
            text-align : center;
            line-height : 250px;
        }

        main {
            width : 100%;
        
        }

        .sidebar {
            height : 500px;
            width : 100%;
            background-color: #533E85 ;
            text-align : center;
            line-height : 500px;
        }

        .main__content {
            height : 500px;
            width : 100%;
            background-color: #6EBF8B;
            text-align : center;
            line-height : 500px;
        }

        footer {
            height : 250px;
            width : 100%;
            background-color: #603601;
            text-align : center;
            line-height : 250px;
        }

        @media(min-width: 600px) {

            .container {
            width : 1000px;
            border : 1px solid red;
            margin : 100px auto;
        }

        header {
            height : 250px;
            width : 100%;
        }

        main {
            width : 100%;
            display : flex;
            margin: 5px 0;
        
        }

        .sidebar {
            height : 500px;
            width : 30%;
            margin-right : 5px;
            
        }

        .main__content {
            height : 500px;
            width : 70%;
            background-color: #6EBF8B;
            text-align : center;
            line-height : 500px;
        }

        footer {
            height : 250px;
            width : 100%;
            background-color: #603601;
            text-align : center;
            line-height : 250px;
        }

        }

 */

    </style>
</head>
<body>

    <div class="container">
        <header>HEADER</header>
        <main>
            <div class="sidebar">SIDEBAR</div>
            <div class="main__content">CONTENT</div>
        </main>
        <footer>FOOTER</footer>
    </div>
    
</body>
</html>